%define modname txforward
%define soname %{modname}.so
%define inifile A90_%{modname}.ini

Summary:	Reverse Proxy (web accelerator) PHP compatibility layer
Name:		php-%{modname}
Version:	1.0.7
Release:	%mkrel 2.1
Group:		Development/PHP
License:	PHP License
URL:		http://fcartegnie.free.fr/patchs/txforward.html
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel
BuildRequires:	file

%description
Makes reverse-proxing (web accelerator) totally invisible for php applications.
Doesn't require php code modifications to handle X-Forwarded-For IP.

 * Stills allows proxy-aware applications to work with X-Forwarded headers and
   proxy IP address.
 * Should work with any web server
 * Should work with any proxy server

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -p -i -e "s|/lib\b|/%{_lib}|g" *.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}

%make

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[%{modname}]
txforward.depth = 4
EOF

%files 
%doc package*.xml CREDITS README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Mon Dec 12 2016 tex - 1.0.7-2.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 1.0.7-2pclos2016
-rebuild

* Sun Mar 13 2016 bb <bb> 1.0.7-1pclos2016
- update
